Subject: Re: Contradiction in RFC1883

From: "Lori Napoli" <[email-masked]>
Date: Mon, 17 Sep 2001 17:42:33 -0400

This same contradiction is in RFC 2460 (section 4.1)  which obsoletes RFC
1883.

Hi all,

    I might be totally wrong in this but I see that there are two

contradicting statements in RFC1883 for IPv6. Can somebody please explain

Page 7

statement a:

   Each extension header should occur at most once, except for the

   Destination Options header which should occur at most twice (once

   before a Routing header and once before the upper-layer header).

statement b:

   IPv6 nodes must accept and attempt to process extension headers in

   any order and occurring any number of times in the same packet,

   except for the Hop-by-Hop Options header which is restricted to

   appear immediately after an IPv6 header only.

I am sorry if this has already been raised as a question and answered.

Thanks in advance,

Suresh

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Dave Thaler" <[email-masked]>
Date: Mon, 17 Sep 2001 14:46:25 -0700

There is no contradiction here.
(a) is talking about what nodes SHOULD send.
(b) is talking about what nodes MUST be able to receive.

-Dave

> -----Original Message-----
> From: Suresh Krishnan [mailto:[email-masked]]
> Sent: Monday, September 17, 2001 2:21 PM
> To: [email-masked]
> Subject: Contradiction in RFC1883
> 
> Hi all,